Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
auth
/
mfa
/
challenge
aid_auth_mfa_challenge_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/auth/mfa/challenge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "challenge_type": "oob",
  "mfa_token": "<string>"
}
'
{
  "challenge_type": "oob",
  "binding_method": "prompt",
  "oob_code": "bkaiew...akas"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

multi-factor authentication (MFA) challenge

challenge_type
enum<string>
required

The challenge type accepted by your application

Available options:
oob
mfa_token
string
required

The token received from mfa_required error.

oob_channel
enum<string>
default:sms

The channel to use for OOB. Can only be provided when challenge_type is oob.

Available options:
sms,
email

Response

Challenge response

challenge_type
enum<string>
Available options:
oob
binding_method
enum<string>
Available options:
prompt
oob_code
string
Example:

"bkaiew...akas"

Last modified on May 12, 2026